### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
NumericHaganPricer Class Reference

CMS-coupon pricer. More...

`#include <ql/cashflows/conundrumpricer.hpp>`

Inheritance diagram for NumericHaganPricer:
[legend]

List of all members.

## Public Member Functions

| NumericHaganPricer (const Handle< SwaptionVolatilityStructure > &swaptionVol, GFunctionFactory::YieldCurveModel modelOfYieldCurve, const Handle< Quote > &meanReversion, Rate lowerLimit=0.0, Rate upperLimit=1.0, Real precision=1.0e-6)
Real | upperLimit ()
Real | stdDeviations ()
Real | integrate (Real a, Real b, const ConundrumIntegrand &Integrand) const
virtual Real | optionletPrice (Option::Type optionType, Rate strike) const
virtual Real | swapletPrice () const
Real | resetUpperLimit (Real stdDeviationsForUpperLimit) const
Real | refineIntegration (Real integralValue, const ConundrumIntegrand &integrand) const

## Public Attributes

Real | upperLimit_
Real | stdDeviationsForUpperLimit_
const Real | lowerLimit_
const Real | requiredStdDeviations_
const Real | precision_
const Real | refiningIntegrationTolerance_

## Detailed Description

CMS-coupon pricer.

Prices a cms coupon via static replication as in Hagan's "Conundrums..." article via numerical integration based on prices of vanilla swaptions